<!DOCTYPE html>
<html>
    <head>
        <title>
            Creación de Páginas Web Nivel 1
        </title>
        <link rel="stylesheet" type="text/css" href="css/index_style.css"/>
        <link  rel="stylesheet" href="https://fonts.googleapis.com/css?family=Karla:400,400i,700,700i&ampdisplay=swap">
    </head>
    <body>
        <div id="whole">
            <div id="upper">
                <h1>
                    CREACIÓN DE PÁGINAS WEB NIVEL 1
                </h1>
            </div>
            <div id="middle">
                <div id="lateral">
                    <center>
                        <h5>
                            TABLA DE CONTENIDO
                        </h5> 
                    </center>
                    <ul>
                        <li style="padding-bottom: 20px">
                            <a href="#forms">
                                Formularios
                            </a>
                        </li>
                        <li style="padding-bottom: 20px">
                            <a href="#css">
                                CSS
                            </a>
                        </li>
                    </ul>
                </div>
                <div id="main">
                    <h2>
                        SESIÓN 4: FORMULARIOS Y CSS
                    </h2>
                    <h3 id="forms">
                       Formularios
                    </h3>
                    <form>
                    	<table border="1">
                    		<tr>
                    			<th colspan="4">
                    				FORMULARIO DE COMPRA DE CALZADO
                    			</th>
                    		</tr>
                    		<tr>
                    			<td rowspan="4">
                    				Niño<br>
                    				Niña<br>
                    				Hombre<br>
                    				Mujer
                    			</td>
                    			<td rowspan="4">
                    			    <center>
                        				<input type="radio" name="tipo" value="nino"><br>
                        				<input type="radio" name="tipo" value="nina"><br>
                        				<input type="radio" name="tipo" value="hombre"><br>
                        				<input type="radio" name="tipo" value="mujer"> 
                    			    </center>

                    			</td>
                    				
                    			<td>
                    				Color:
                    
                    			</td>
                    			<td>
                    				<center>
                    					<input type="color" name="color" value="#000000">
                    				</center>
                    			</td>
                    		</tr>
                    		<tr>
                    			<td>
                    				Talla:
                    			</td>
                    			<td>
                    				<center>
                    					<input type="number" name="talla" value="30">
                    				</center>
                    			</td>
                    		</tr>
                    		<tr>
                    			<td>
                    				Con cordones:
                    			</td>
                    			<td>
                    				<center>
                    					<input type="checkbox" name="cordones">
                    				</center>
                    			</td>
                    		</tr>
                    		<tr>
                    			<td>
                    				Precio:
                    			</td>
                    			<td>
                    				<center>
                    					<input type="range" name="priceInputName" id="priceInputId" value="30000" min="10000" max="1000000" step="10000" oninput="priceOutputId.value = priceInputId.value"><br>
                       					<output name="priceOutputName" id="priceOutputId">30000</output>
                    				</center>
                    			</td>
                    		</tr>
                    		<tr>
                    			<td>
                    				Comentarios adicionales:
                    			</td>
                    			<td colspan="3">
                    				<center>
                    					<input type="text" name="comentarios" value="Inserte sus comentarios aquí">
                    				</center>
                    			</td>
                    		</tr>
                    		<tr>
                    			<th colspan="4">
                    				DATOS DE USUARIO
                    			</th>
                    		</tr>
                    		<tr>
                    			<td>
                    				Correo Electrónico
                    			</td>
                    			<td>
                    				<center>
                    					<input type="email" name="correo">
                    				</center>
                    			</td>
                    			<td>
                    				Contraseña
                    			</td>
                    			<td>
                    				<center>
                    					<input type="password" name="contra">
                    				</center>
                    			</td>
                    		</tr>
                    		<tr>
                    			<th colspan="4">
                    				DATOS DE ENTREGA
                    			</th>
                    		</tr>
                    		<tr>
                    			<td>
                    				Fecha de entrega
                    			</td>
                    			<td>
                    				<center>
                    					<input type="date" name="fecha" value="21-06-2019">
                    				</center>
                    			</td>
                    			<td>
                                	Hora de entrega:
                    			</td>
                    			<td>
                    				<center>
                    					<input type="time" name="hora" value="10:00 a.m.">
                    				</center>
                    			</td>
                    		</tr>
                    		<tr>
                    			<td colspan="2">
                    				Subir imagen del cuṕon de compra
                    			</td>
                    			<td colspan="2">
                    				<center>
                    					<input type="file" name="file1">
                    				</center>
                    			</td>
                    		</tr>
                    		<tr>
                    			<td colspan="2">
                    				<center>
                    					<button type="submit" name="enviar">ENVIAR</button>
                    				</center>
                    			</td>
                    			<td colspan="2">
                    				<center>
                    					<button type="RESET" name="limpiar">LIMPIAR</button>
                    				</center>
                    			</td>
                    		</tr>
                    	</table>
                    </form>
                    <p>
                    El anterior formulario se logró con el código:    
                    </p>
                    <div style="background-color: #ADD8E6">
                        <small>
                            <pre>
&ltform&gt
	&lttable border="1"&gt
		&lttr&gt
			&ltth colspan="4"&gt
				FORMULARIO DE COMPRA DE CALZADO
			&lt/th&gt
		&lt/tr&gt
		&lttr&gt
			&lttd rowspan="4"&gt
				Niño&ltbr&gt
				Niña&ltbr&gt
				Hombre&ltbr&gt
				Mujer&ltbr&gt
			&lt/td&gt
			&lttd rowspan="4"&gt
			    &ltcenter&gt
                    &ltinput type="radio" name="tipo" value="nino"&gt&ltbr&gt
                    &ltinput type="radio" name="tipo" value="nina"&gt&ltbr&gt
                    &ltinput type="radio" name="tipo" value="hombre"&gt&ltbr&gt
                    &ltinput type="radio" name="tipo" value="mujer"&gt
                &lt/center&gt
			&lt/td&gt
				
			&lttd&gt
				Color:

			&lt/td&gt
			&lttd&gt
				&ltcenter&gt
					&ltinput type="color" name="color" value="#000000"&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
		&lttr&gt
			&lttd&gt
				Talla:
			&lt/td&gt
			&lttd&gt
				&ltcenter&gt
					&ltinput type="number" name="talla" value="30"&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
		&lttr&gt
			&lttd&gt
				Con cordones:
			&lt/td&gt
			&lttd&gt
				&ltcenter&gt
					&ltinput type="checkbox" name="cordones"&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
		&lttr&gt
			&lttd&gt
				Precio:
			&lt/td&gt
			&lttd&gt
				&ltcenter&gt
					&ltinput 
					    type="range" 
					    name="priceInputName" 
					    id="priceInputId" 
					    value="30000" 
					    min="10000" 
					    max="1000000" 
					    step="10000" 
					    oninput="priceOutputId.value 
					    = priceInputId.value"&gt&ltbr&gt
   					&ltoutput 
   					    name="priceOutputName" 
   					    id="priceOutputId"&gt30000&lt/output&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
		&lttr&gt
			&lttd&gt
				Comentarios adicionales:
			&lt/td&gt
			&lttd colspan="3"&gt
				&ltcenter&gt
					&ltinput 
					    type="text" 
					    name="comentarios" 
					    value="Inserte sus comentarios aquí"&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
		&lttr&gt
			&ltth colspan="4"&gt
				DATOS DE USUARIO
			&lt/th&gt
		&lt/tr&gt
		&lttr&gt
			&lttd&gt
				Correo Electrónico
			&lt/td&gt
			&lttd&gt
				&ltcenter&gt
					&ltinput type="email" name="correo"&gt
				&lt/center&gt
			&lt/td&gt
			&lttd&gt
				Contraseña
			&lt/td&gt
			&lttd&gt
				&ltcenter&gt
					&ltinput type="password" name="contra"&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
		&lttr&gt
			&ltth colspan="4"&gt
				DATOS DE ENTREGA
			&lt/th&gt
		&lt/tr&gt
		&lttr&gt
			&lttd&gt
				Fecha de entrega
			&lt/td&gt
			&lttd&gt
				&ltcenter&gt
					&ltinput type="date" name="fecha" value="21-06-2019"&gt
				&lt/center&gt
			&lt/td&gt
			&lttd&gt
            	Hora de entrega:
			&lt/td&gt
			&lttd&gt
				&ltcenter&gt
					&ltinput type="time" name="hora" value="10:00 a.m."&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
		&lttr&gt
			&lttd colspan="2"&gt
				Subir imagen del cuṕon de compra
			&lt/td&gt
			&lttd colspan="2"&gt
				&ltcenter&gt
					&ltinput type="file" name="file1"&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
		&lttr&gt
			&lttd colspan="2"&gt
				&ltcenter&gt
					&ltbutton type="submit" name="enviar"&gtENVIAR&lt/button&gt
				&lt/center&gt
			&lt/td&gt
			&lttd colspan="2"&gt
				&ltcenter&gt
					&ltbutton type="RESET" name="limpiar"&gtLIMPIAR&lt/button&gt
				&lt/center&gt
			&lt/td&gt
		&lt/tr&gt
	&lt/table&gt
&lt/form&gt
                            </pre>
                        </small>
                    </div>
                    <h4>
                        Ejercicio
                    </h4>
                    <p>
                        Cree un formulario con cuatro campos de edición y los botones de envío y limpieza.
                    <p>

                    <h3 id="css">
                       CSS
                    </h3>
                    <img src="images/skeleton.jpg" width="100%">
                    <p>
                        Existen muchísimas características de estilo en css:
                    </p>
                    <table border="1">
                        <tr><th>CARACTERÍSTICA</th><th>DESCRIPCIÓN</th></tr>
                        <tr><td><center><b>align-content </b></center></td><td>Specifies the alignment between the lines inside a flexible container when the items do not use all available space</td></tr>
                        <tr><td><center><b>align-items </b></center></td><td>Specifies the alignment for items inside a flexible container</td></tr>
                        <tr><td><center><b>align-self </b></center></td><td>Specifies the alignment for selected items inside a flexible container</td></tr>
                        <tr><td><center><b>all </b></center></td><td>Resets all properties (except unicode-bidi and direction)</td></tr>
                        <tr><td><center><b>animation </b></center></td><td>A shorthand property for all the animation-* properties</td></tr>
                        <tr><td><center><b>animation-delay </b></center></td><td>Specifies a delay for the start of an animation</td></tr>
                        <tr><td><center><b>animation-direction </b></center></td><td>Specifies whether an animation should be played forwards, backwards or in alternate cycles</td></tr>
                        <tr><td><center><b>animation-duration </b></center></td><td>Specifies how long an animation should take to complete one cycle</td></tr>
                        <tr><td><center><b>animation-fill-mode </b></center></td><td>Specifies a style for the element when the animation is not playing (before it starts, after it ends, or both)</td></tr>
                        <tr><td><center><b>animation-iteration-count </b></center></td><td>Specifies the number of times an animation should be played</td></tr>
                        <tr><td><center><b>animation-name </b></center></td><td>Specifies a name for the @keyframes animation</td></tr>
                        <tr><td><center><b>animation-play-state </b></center></td><td>Specifies whether the animation is running or paused</td></tr>
                        <tr><td><center><b>animation-timing-function </b></center></td><td>Specifies the speed curve of an animation</td></tr>
                        <tr><td><center><b>backface-visibility </b></center></td><td>Defines whether or not the back face of an element should be visible when facing the user</td></tr>
                        <tr><td><center><b>background </b></center></td><td>A shorthand property for all the background-* properties</td></tr>
                        <tr><td><center><b>background-attachment </b></center></td><td>Sets whether a background image scrolls with the rest of the page, or is fixed</td></tr>
                        <tr><td><center><b>background-blend-mode </b></center></td><td>Specifies the blending mode of each background layer (color/image)</td></tr>
                        <tr><td><center><b>background-clip </b></center></td><td>Defines how far the background (color or image) should extend within an element</td></tr>
                        <tr><td><center><b>background-color </b></center></td><td>Specifies the background color of an element</td></tr>
                        <tr><td><center><b>background-image </b></center></td><td>Specifies one or more background images for an element</td></tr>
                        <tr><td><center><b>background-origin </b></center></td><td>Specifies the origin position of a background image</td></tr>
                        <tr><td><center><b>background-position </b></center></td><td>Specifies the position of a background image</td></tr>
                        <tr><td><center><b>background-repeat </b></center></td><td>Sets if/how a background image will be repeated</td></tr>
                        <tr><td><center><b>background-size </b></center></td><td>Specifies the size of the background images</td></tr>
                        <tr><td><center><b>border </b></center></td><td>A shorthand property for border-width, border-style and border-color</td></tr>
                        <tr><td><center><b>border-bottom </b></center></td><td>A shorthand property for border-bottom-width, border-bottom-style and border-bottom-color</td></tr>
                        <tr><td><center><b>border-bottom-color </b></center></td><td>Sets the color of the bottom border</td></tr>
                        <tr><td><center><b>border-bottom-left-radius </b></center></td><td>Defines the radius of the border of the bottom-left corner</td></tr>
                        <tr><td><center><b>border-bottom-right-radius </b></center></td><td>Defines the radius of the border of the bottom-right corner</td></tr>
                        <tr><td><center><b>border-bottom-style </b></center></td><td>Sets the style of the bottom border</td></tr>
                        <tr><td><center><b>border-bottom-width </b></center></td><td>Sets the width of the bottom border</td></tr>
                        <tr><td><center><b>border-collapse </b></center></td><td>Sets whether table borders should collapse into a single border or be separated</td></tr>
                        <tr><td><center><b>border-color </b></center></td><td>Sets the color of the four borders</td></tr>
                        <tr><td><center><b>border-image </b></center></td><td>A shorthand property for all the border-image-* properties</td></tr>
                        <tr><td><center><b>border-image-outset </b></center></td><td>Specifies the amount by which the border image area extends beyond the border box</td></tr>
                        <tr><td><center><b>border-image-repeat </b></center></td><td>Specifies whether the border image should be repeated, rounded or stretched</td></tr>
                        <tr><td><center><b>border-image-slice </b></center></td><td>Specifies how to slice the border image</td></tr>
                        <tr><td><center><b>border-image-source </b></center></td><td>Specifies the path to the image to be used as a border</td></tr>
                        <tr><td><center><b>border-image-width </b></center></td><td>Specifies the width of the border image</td></tr>
                        <tr><td><center><b>border-left </b></center></td><td>A shorthand property for all the border-left-* properties</td></tr>
                        <tr><td><center><b>border-left-color </b></center></td><td>Sets the color of the left border</td></tr>
                        <tr><td><center><b>border-left-style </b></center></td><td>Sets the style of the left border</td></tr>
                        <tr><td><center><b>border-left-width </b></center></td><td>Sets the width of the left border</td></tr>
                        <tr><td><center><b>border-radius </b></center></td><td>A shorthand property for the four border-*-radius properties</td></tr>
                        <tr><td><center><b>border-right </b></center></td><td>A shorthand property for all the border-right-* properties</td></tr>
                        <tr><td><center><b>border-right-color </b></center></td><td>Sets the color of the right border</td></tr>
                        <tr><td><center><b>border-right-style </b></center></td><td>Sets the style of the right border</td></tr>
                        <tr><td><center><b>border-right-width </b></center></td><td>Sets the width of the right border</td></tr>
                        <tr><td><center><b>border-spacing </b></center></td><td>Sets the distance between the borders of adjacent cells</td></tr>
                        <tr><td><center><b>border-style </b></center></td><td>Sets the style of the four borders</td></tr>
                        <tr><td><center><b>border-top </b></center></td><td>A shorthand property for border-top-width, border-top-style and border-top-color</td></tr>
                        <tr><td><center><b>border-top-color </b></center></td><td>Sets the color of the top border</td></tr>
                        <tr><td><center><b>border-top-left-radius </b></center></td><td>Defines the radius of the border of the top-left corner</td></tr>
                        <tr><td><center><b>border-top-right-radius </b></center></td><td>Defines the radius of the border of the top-right corner</td></tr>
                        <tr><td><center><b>border-top-style </b></center></td><td>Sets the style of the top border</td></tr>
                        <tr><td><center><b>border-top-width </b></center></td><td>Sets the width of the top border</td></tr>
                        <tr><td><center><b>border-width </b></center></td><td>Sets the width of the four borders</td></tr>
                        <tr><td><center><b>bottom </b></center></td><td>Sets the elements position, from the bottom of its parent element</td></tr>
                        <tr><td><center><b>box-decoration-break </b></center></td><td>Sets the behavior of the background and border of an element at page-break, or, for in-line elements, at line-break.</td></tr>
                        <tr><td><center><b>box-shadow </b></center></td><td>Attaches one or more shadows to an element</td></tr>
                        <tr><td><center><b>box-sizing </b></center></td><td>Defines how the width and height of an element are calculated: should they include padding and borders, or not</td></tr>
                        <tr><td><center><b>break-after </b></center></td><td>Specifies the page-, column-, or region-break behavior after the generated box</td></tr>
                        <tr><td><center><b>break-before </b></center></td><td>Specifies the page-, column-, or region-break behavior before the generated box</td></tr>
                        <tr><td><center><b>break-inside </b></center></td><td>Specifies the page-, column-, or region-break behavior inside the generated box</td></tr>
                        <tr><td><center><b>caption-side </b></center></td><td>Specifies the placement of a table caption</td></tr>
                        <tr><td><center><b>caret-color </b></center></td><td>Specifies the color of the cursor (caret) in inputs, textareas, or any element that is editable</td></tr>
                        <tr><td><center><b>@charset </b></center></td><td>Specifies the character encoding used in the style sheet</td></tr>
                        <tr><td><center><b>clear </b></center></td><td>Specifies on which sides of an element floating elements are not allowed to float</td></tr>
                        <tr><td><center><b>clip </b></center></td><td>Clips an absolutely positioned element</td></tr>
                        <tr><td><center><b>color </b></center></td><td>Sets the color of text</td></tr>
                        <tr><td><center><b>column-count </b></center></td><td>Specifies the number of columns an element should be divided into</td></tr>
                        <tr><td><center><b>column-fill </b></center></td><td>Specifies how to fill columns, balanced or not</td></tr>
                        <tr><td><center><b>column-gap </b></center></td><td>Specifies the gap between the columns</td></tr>
                        <tr><td><center><b>column-rule </b></center></td><td>A shorthand property for all the column-rule-* properties</td></tr>
                        <tr><td><center><b>column-rule-color </b></center></td><td>Specifies the color of the rule between columns</td></tr>
                        <tr><td><center><b>column-rule-style </b></center></td><td>Specifies the style of the rule between columns</td></tr>
                        <tr><td><center><b>column-rule-width </b></center></td><td>Specifies the width of the rule between columns</td></tr>
                        <tr><td><center><b>column-span </b></center></td><td>Specifies how many columns an element should span across</td></tr>
                        <tr><td><center><b>column-width </b></center></td><td>Specifies the column width</td></tr>
                        <tr><td><center><b>columns </b></center></td><td>A shorthand property for column-width and column-count</td></tr>
                        <tr><td><center><b>content </b></center></td><td>Used with the :before and :after pseudo-elements, to insert generated content</td></tr>
                        <tr><td><center><b>counter-increment </b></center></td><td>Increases or decreases the value of one or more CSS counters</td></tr>
                        <tr><td><center><b>counter-reset </b></center></td><td>Creates or resets one or more CSS counters</td></tr>
                        <tr><td><center><b>cursor </b></center></td><td>Specifies the mouse cursor to be displayed when pointing over an element</td></tr>
                        <tr><td><center><b>direction </b></center></td><td>Specifies the text direction/writing direction</td></tr>
                        <tr><td><center><b>display </b></center></td><td>Specifies how a certain HTML element should be displayed</td></tr>
                        <tr><td><center><b>empty-cells </b></center></td><td>Specifies whether or not to display borders and background on empty cells in a table</td></tr>
                        <tr><td><center><b>filter </b></center></td><td>Defines effects (e.g. blurring or color shifting) on an element before the element is displayed</td></tr>
                        <tr><td><center><b>flex </b></center></td><td>A shorthand property for the flex-grow, flex-shrink, and the flex-basis properties</td></tr>
                        <tr><td><center><b>flex-basis </b></center></td><td>Specifies the initial length of a flexible item</td></tr>
                        <tr><td><center><b>flex-direction </b></center></td><td>Specifies the direction of the flexible items</td></tr>
                        <tr><td><center><b>flex-flow </b></center></td><td>A shorthand property for the flex-direction and the flex-wrap properties</td></tr>
                        <tr><td><center><b>flex-grow </b></center></td><td>Specifies how much the item will grow relative to the rest</td></tr>
                        <tr><td><center><b>flex-shrink </b></center></td><td>Specifies how the item will shrink relative to the rest</td></tr>
                        <tr><td><center><b>flex-wrap </b></center></td><td>Specifies whether the flexible items should wrap or not</td></tr>
                        <tr><td><center><b>float </b></center></td><td>Specifies whether or not a box should float</td></tr>
                        <tr><td><center><b>font </b></center></td><td>A shorthand property for the font-style, font-variant, font-weight, font-size/line-height, and the font-family properties</td></tr>
                        <tr><td><center><b>@font-face </b></center></td><td>A rule that allows websites to download and use fonts other than the "web-safe" fonts</td></tr>
                        <tr><td><center><b>font-family </b></center></td><td>Specifies the font family for text</td></tr>
                        <tr><td><center><b>font-feature-settings </b></center></td><td>Allows control over advanced typographic features in OpenType fonts</td></tr>
                        <tr><td><center><b>@font-feature-values </b></center></td><td>Allows authors to use a common name in font-variant-alternate for feature activated differently in OpenType</td></tr>
                        <tr><td><center><b>font-kerning </b></center></td><td>Controls the usage of the kerning information (how letters are spaced)</td></tr>
                        <tr><td><center><b>font-language-override </b></center></td><td>Controls the usage of language-specific glyphs in a typeface</td></tr>
                        <tr><td><center><b>font-size </b></center></td><td>Specifies the font size of text</td></tr>
                        <tr><td><center><b>font-size-adjust </b></center></td><td>Preserves the readability of text when font fallback occurs</td></tr>
                        <tr><td><center><b>font-stretch </b></center></td><td>Selects a normal, condensed, or expanded face from a font family</td></tr>
                        <tr><td><center><b>font-style </b></center></td><td>Specifies the font style for text</td></tr>
                        <tr><td><center><b>font-synthesis </b></center></td><td>Controls which missing typefaces (bold or italic) may be synthesized by the browser</td></tr>
                        <tr><td><center><b>font-variant </b></center></td><td>Specifies whether or not a text should be displayed in a small-caps font</td></tr>
                        <tr><td><center><b>font-variant-alternates </b></center></td><td>Controls the usage of alternate glyphs associated to alternative names defined in @font-feature-values</td></tr>
                        <tr><td><center><b>font-variant-caps </b></center></td><td>Controls the usage of alternate glyphs for capital letters</td></tr>
                        <tr><td><center><b>font-variant-east-asian </b></center></td><td>Controls the usage of alternate glyphs for East Asian scripts (e.g Japanese and Chinese)</td></tr>
                        <tr><td><center><b>font-variant-ligatures </b></center></td><td>Controls which ligatures and contextual forms are used in textual content of the elements it applies to</td></tr>
                        <tr><td><center><b>font-variant-numeric </b></center></td><td>Controls the usage of alternate glyphs for numbers, fractions, and ordinal markers</td></tr>
                        <tr><td><center><b>font-variant-position </b></center></td><td>Controls the usage of alternate glyphs of smaller size positioned as superscript or subscript regarding the baseline of the font</td></tr>
                        <tr><td><center><b>font-weight </b></center></td><td>Specifies the weight of a font</td></tr>
                        <tr><td><center><b>grid </b></center></td><td>A shorthand property for the grid-template-rows, grid-template-columns, grid-template-areas, grid-auto-rows, grid-auto-columns, and the grid-auto-flow properties</td></tr>
                        <tr><td><center><b>grid-area </b></center></td><td>Either specifies a name for the grid item, or this property is a shorthand property for the grid-row-start, grid-column-start, grid-row-end, and grid-column-end properties</td></tr>
                        <tr><td><center><b>grid-auto-columns </b></center></td><td>Specifies a default column size</td></tr>
                        <tr><td><center><b>grid-auto-flow </b></center></td><td>Specifies how auto-placed items are inserted in the grid</td></tr>
                        <tr><td><center><b>grid-auto-rows </b></center></td><td>Specifies a default row size</td></tr>
                        <tr><td><center><b>grid-column </b></center></td><td>A shorthand property for the grid-column-start and the grid-column-end properties</td></tr>
                        <tr><td><center><b>grid-column-end </b></center></td><td>Specifies where to end the grid item</td></tr>
                        <tr><td><center><b>grid-column-gap </b></center></td><td>Specifies the size of the gap between columns</td></tr>
                        <tr><td><center><b>grid-column-start </b></center></td><td>Specifies where to start the grid item</td></tr>
                        <tr><td><center><b>grid-gap </b></center></td><td>A shorthand property for the grid-row-gap and grid-column-gap properties</td></tr>
                        <tr><td><center><b>grid-row </b></center></td><td>A shorthand property for the grid-row-start and the grid-row-end properties</td></tr>
                        <tr><td><center><b>grid-row-end </b></center></td><td>Specifies where to end the grid item</td></tr>
                        <tr><td><center><b>grid-row-gap </b></center></td><td>Specifies the size of the gap between rows</td></tr>
                        <tr><td><center><b>grid-row-start </b></center></td><td>Specifies where to start the grid item</td></tr>
                        <tr><td><center><b>grid-template </b></center></td><td>A shorthand property for the grid-template-rows, grid-template-columns and grid-areas properties</td></tr>
                        <tr><td><center><b>grid-template-areas </b></center></td><td>Specifies how to display columns and rows, using named grid items</td></tr>
                        <tr><td><center><b>grid-template-columns </b></center></td><td>Specifies the size of the columns, and how many columns in a grid layout</td></tr>
                        <tr><td><center><b>grid-template-rows </b></center></td><td>Specifies the size of the rows in a grid layout</td></tr>
                        <tr><td><center><b>hanging-punctuation </b></center></td><td>Specifies whether a punctuation character may be placed outside the line box</td></tr>
                        <tr><td><center><b>height </b></center></td><td>Sets the height of an element</td></tr>
                        <tr><td><center><b>hyphens </b></center></td><td>Sets how to split words to improve the layout of paragraphs</td></tr>
                        <tr><td><center><b>image-rendering </b></center></td><td>Gives a hint to the browser about what aspects of an image are most important to preserve when the image is scaled</td></tr>
                        <tr><td><center><b>@import </b></center></td><td>Allows you to import a style sheet into another style sheet</td></tr>
                        <tr><td><center><b>isolation </b></center></td><td>Defines whether an element must create a new stacking content</td></tr>
                        <tr><td><center><b>justify-content </b></center></td><td>Specifies the alignment between the items inside a flexible container when the items do not use all available space</td></tr>
                        <tr><td><center><b>@keyframes </b></center></td><td>Specifies the animation code</td></tr>
                        <tr><td><center><b>left </b></center></td><td>Specifies the left position of a positioned element</td></tr>
                        <tr><td><center><b>letter-spacing </b></center></td><td>Increases or decreases the space between characters in a text</td></tr>
                        <tr><td><center><b>line-break </b></center></td><td>Specifies how/if to break lines</td></tr>
                        <tr><td><center><b>line-height </b></center></td><td>Sets the line height</td></tr>
                        <tr><td><center><b>list-style </b></center></td><td>Sets all the properties for a list in one declaration</td></tr>
                        <tr><td><center><b>list-style-image </b></center></td><td>Specifies an image as the list-item marker</td></tr>
                        <tr><td><center><b>list-style-position </b></center></td><td>Specifies the position of the list-item markers (bullet points)</td></tr>
                        <tr><td><center><b>list-style-type </b></center></td><td>Specifies the type of list-item marker</td></tr>
                        <tr><td><center><b>margin </b></center></td><td>Sets all the margin properties in one declaration</td></tr>
                        <tr><td><center><b>margin-bottom </b></center></td><td>Sets the bottom margin of an element</td></tr>
                        <tr><td><center><b>margin-left </b></center></td><td>Sets the left margin of an element</td></tr>
                        <tr><td><center><b>margin-right </b></center></td><td>Sets the right margin of an element</td></tr>
                        <tr><td><center><b>margin-top </b></center></td><td>Sets the top margin of an element</td></tr>
                        <tr><td><center><b>max-height </b></center></td><td>Sets the maximum height of an element</td></tr>
                        <tr><td><center><b>max-width </b></center></td><td>Sets the maximum width of an element</td></tr>
                        <tr><td><center><b>@media </b></center></td><td>Sets the style rules for different media types/devices/sizes</td></tr>
                        <tr><td><center><b>min-height </b></center></td><td>Sets the minimum height of an element</td></tr>
                        <tr><td><center><b>min-width </b></center></td><td>Sets the minimum width of an element</td></tr>
                        <tr><td><center><b>mix-blend-mode </b></center></td><td>Specifies how an element's content should blend with its direct parent background</td></tr>
                        <tr><td><center><b>object-fit </b></center></td><td>Specifies how the contents of a replaced element should be fitted to the box established by its used height and width</td></tr>
                        <tr><td><center><b>object-position </b></center></td><td>Specifies the alignment of the replaced element inside its box</td></tr>
                        <tr><td><center><b>opacity </b></center></td><td>Sets the opacity level for an element</td></tr>
                        <tr><td><center><b>order </b></center></td><td>Sets the order of the flexible item, relative to the rest</td></tr>
                        <tr><td><center><b>orphans </b></center></td><td>Sets the minimum number of lines that must be left at the bottom of a page when a page break occurs inside an element</td></tr>
                        <tr><td><center><b>outline </b></center></td><td>A shorthand property for the outline-width, outline-style, and the outline-color properties</td></tr>
                        <tr><td><center><b>outline-color </b></center></td><td>Sets the color of an outline</td></tr>
                        <tr><td><center><b>outline-offset </b></center></td><td>Offsets an outline, and draws it beyond the border edge</td></tr>
                        <tr><td><center><b>outline-style </b></center></td><td>Sets the style of an outline</td></tr>
                        <tr><td><center><b>outline-width </b></center></td><td>Sets the width of an outline overflow</td></tr>
                        <tr><td><center><b></b></center></td><td>Specifies what happens if content overflows an element's box</td></tr>
                        <tr><td><center><b>overflow-wrap </b></center></td><td>Specifies whether or not the browser may break lines within words in order to prevent overflow (when a string is too long to fit its containing box)</td></tr>
                        <tr><td><center><b>overflow-x </b></center></td><td>Specifies whether or not to clip the left/right edges of the content, if it overflows the element's content area</td></tr>
                        <tr><td><center><b>overflow-y </b></center></td><td>Specifies whether or not to clip the top/bottom edges of the content, if it overflows the element's content area</td></tr>
                        <tr><td><center><b>padding </b></center></td><td>A shorthand property for all the padding-* properties</td></tr>
                        <tr><td><center><b>padding-bottom </b></center></td><td>Sets the bottom padding of an element</td></tr>
                        <tr><td><center><b>padding-left </b></center></td><td>Sets the left padding of an element</td></tr>
                        <tr><td><center><b>padding-right </b></center></td><td>Sets the right padding of an element</td></tr>
                        <tr><td><center><b>padding-top </b></center></td><td>Sets the top padding of an element</td></tr>
                        <tr><td><center><b>page-break-after </b></center></td><td>Sets the page-break behavior after an element</td></tr>
                        <tr><td><center><b>page-break-before </b></center></td><td>Sets the page-break behavior before an element</td></tr>
                        <tr><td><center><b>page-break-inside </b></center></td><td>Sets the page-break behavior inside an element</td></tr>
                        <tr><td><center><b>perspective </b></center></td><td>Gives a 3D-positioned element some perspective</td></tr>
                        <tr><td><center><b>perspective-origin </b></center></td><td>Defines at which position the user is looking at the 3D-positioned element</td></tr>
                        <tr><td><center><b>pointer-events </b></center></td><td>Defines whether or not an element reacts to pointer events</td></tr>
                        <tr><td><center><b>position </b></center></td><td>Specifies the type of positioning method used for an element (static, relative, absolute or fixed)</td></tr>
                        <tr><td><center><b>quotes </b></center></td><td>Sets the type of quotation marks for embedded quotations</td></tr>
                        <tr><td><center><b>resize </b></center></td><td>Defines if (and how) an element is resizable by the user</td></tr>
                        <tr><td><center><b>right </b></center></td><td>Specifies the right position of a positioned element</td></tr>
                        <tr><td><center><b>scroll-behavior </b></center></td><td>Specifies whether to smoothly animate the scroll position in a scrollable box, instead of a straight jump</td></tr>
                        <tr><td><center><b>tab-size </b></center></td><td>Specifies the width of a tab character</td></tr>
                        <tr><td><center><b>table-layout </b></center></td><td>Defines the algorithm used to lay out table cells, rows, and columns</td></tr>
                        <tr><td><center><b>text-align </b></center></td><td>Specifies the horizontal alignment of text</td></tr>
                        <tr><td><center><b>text-align-last </b></center></td><td>Describes how the last line of a block or a line right before a forced line break is aligned when text-align is "justify"</td></tr>
                        <tr><td><center><b>text-combine-upright </b></center></td><td>Specifies the combination of multiple characters into the space of a single character</td></tr>
                        <tr><td><center><b>text-decoration </b></center></td><td>Specifies the decoration added to text</td></tr>
                        <tr><td><center><b>text-decoration-color </b></center></td><td>Specifies the color of the text-decoration</td></tr>
                        <tr><td><center><b>text-decoration-line </b></center></td><td>Specifies the type of line in a text-decoration</td></tr>
                        <tr><td><center><b>text-decoration-style </b></center></td><td>Specifies the style of the line in a text decoration</td></tr>
                        <tr><td><center><b>text-indent </b></center></td><td>Specifies the indentation of the first line in a text-block</td></tr>
                        <tr><td><center><b>text-justify </b></center></td><td>Specifies the justification method used when text-align is "justify"</td></tr>
                        <tr><td><center><b>text-orientation </b></center></td><td>Defines the orientation of the text in a line</td></tr>
                        <tr><td><center><b>text-overflow </b></center></td><td>Specifies what should happen when text overflows the containing element</td></tr>
                        <tr><td><center><b>text-shadow </b></center></td><td>Adds shadow to text</td></tr>
                        <tr><td><center><b>text-transform </b></center></td><td>Controls the capitalization of text</td></tr>
                        <tr><td><center><b>text-underline-position </b></center></td><td>Specifies the position of the underline which is set using the text-decoration property</td></tr>
                        <tr><td><center><b>top </b></center></td><td>Specifies the top position of a positioned element</td></tr>
                        <tr><td><center><b>transform </b></center></td><td>Applies a 2D or 3D transformation to an element</td></tr>
                        <tr><td><center><b>transform-origin </b></center></td><td>Allows you to change the position on transformed elements</td></tr>
                        <tr><td><center><b>transform-style </b></center></td><td>Specifies how nested elements are rendered in 3D space</td></tr>
                        <tr><td><center><b>transition </b></center></td><td>A shorthand property for all the transition-* properties</td></tr>
                        <tr><td><center><b>transition-delay </b></center></td><td>Specifies when the transition effect will start</td></tr>
                        <tr><td><center><b>transition-duration </b></center></td><td>Specifies how many seconds or milliseconds a transition effect takes to complete</td></tr>
                        <tr><td><center><b>transition-property </b></center></td><td>Specifies the name of the CSS property the transition effect is for</td></tr>
                        <tr><td><center><b>transition-timing-function </b></center></td><td>Specifies the speed curve of the transition effect</td></tr>
                        <tr><td><center><b>unicode-bidi </b></center></td><td>Used together with the direction property to set or return whether the text should be overridden to support multiple languages in the same document</td></tr>
                        <tr><td><center><b>user-select </b></center></td><td>Specifies whether the text of an element can be selected</td></tr>
                        <tr><td><center><b>vertical-align </b></center></td><td>Sets the vertical alignment of an element</td></tr>
                        <tr><td><center><b>visibility </b></center></td><td>Specifies whether or not an element is visible</td></tr>
                        <tr><td><center><b>white-space </b></center></td><td>Specifies how white-space inside an element is handled</td></tr>
                        <tr><td><center><b>widows </b></center></td><td>Sets the minimum number of lines that must be left at the top of a page when a page break occurs inside an element</td></tr>
                        <tr><td><center><b>width </b></center></td><td>Sets the width of an element</td></tr>
                        <tr><td><center><b>word-break </b></center></td><td>Specifies how words should break when reaching the end of a line</td></tr>
                        <tr><td><center><b>word-spacing </b></center></td><td>Increases or decreases the space between words in a text</td></tr>
                        <tr><td><center><b>word-wrap </b></center></td><td>Allows long, unbreakable words to be broken and wrap to the next line</td></tr>
                        <tr><td><center><b>writing-mode </b></center></td><td>Specifies whether lines of text are laid out horizontally or vertically</td></tr>
                        <tr><td><center><b>z-index </b></center></td><td>Sets the stack order of a positioned element</td></tr>
                    </table>
                    <h5>
                        Ejemplo:
                    </h5>
                    <p>
                        El siguiente código css es el que manipula el estilo de la página principal de este curso:
                    </p>
                    <div style="background-color: #ADD8E6">
                        <sub>
                            <pre>
body{
    background-color: white;
    font-family: 'Karla', sans-serif;
    font-size:20px;
}

#whole{
    background-color: white;
    margin-left: auto;
    margin-right: auto;
    padding: 0px 10px 10px 10px;
}

#upper{
    background-color: #1179A6;
    color: white;
    text-align:center;
}

#middle{
    background-color: white;
    /*padding: 10px;*/
}

#lateral ul {
    list-style-type: none;
}

#lateral{
    background-color: #8FDDFF;
    width: 20%;
    position: fixed;
    float:left;
}

#main{
    background-color:white;
    width: 75%;
    float: right;
}

#footer{
    color: white;
    text-align: center;
    background-color: #29637D;
    position: fixed;
    clear: both;
    right: 0;
    bottom: 0;
    width: 75%;
}

.tg  {
    border-collapse:collapse;
    border-spacing:0;
    margin:0px auto;
}

.tg td{
    font-family:Arial, sans-serif;
    font-size:14px;
    padding:10px 5px;
    border-style:solid;
    border-width:1px;
    overflow:hidden;
    word-break:normal;
    border-color:black;
}

.tg th{
    font-family:Arial, sans-serif;
    font-size:14px;
    font-weight:normal;
    padding:10px 5px;
    border-style:solid;
    border-width:1px;
    overflow:hidden;
    word-break:normal;
    border-color:black;
}

.tg .tg-qtf5{
    border-color:#000000;
    text-align:left
}

.tg .tg-yes0{
    font-weight:bold;
    border-color:#000000;
    text-align:center
}

.tg .tg-mqa1{
    font-weight:bold;
    border-color:#000000;
    text-align:center;
    vertical-align:top
}

.tg .tg-73oq{
    border-color:#000000;
    text-align:left;
    vertical-align:top
}
                            </pre>
                        </sub>
                    </div>

                    <h4>
                        Ejercicio
                    </h4>
                    <p>
                        Cree un archivo .css con al menos una modificación de la etiqueta <b>body</b>.
                    <p>
                </div>
            </div>
            <div id="footer">
                Página creada por Víctor Alfonso Mantilla Villamizar. 2019<br>Correo electrónico: vmantillav@gmail.com
            </div>
        </div>
    </body>
</html>
